bm::bvector< Alloc >::iterator_base::dgap_descr Struct Reference

Information about current DGAP block. More...

`#include <bm.h>`

## Data Fields

const gap_word_t * | ptr
| Word pointer.
gap_word_t | gap_len
| Current dgap length.

## Detailed Description

template<class Alloc>
struct bm::bvector< Alloc >::iterator_base::dgap_descr

Information about current DGAP block.

Definition at line 342 of file bm.h.

## Field Documentation

## gap_len

template<class Alloc>

gap_word_t bm::bvector< Alloc >::iterator_base::dgap_descr::gap_len

Current dgap length.

Definition at line 345 of file bm.h.

Referenced by bm::bvector< Alloc >::iterator_base::compare_state(), bm::bvector< Alloc >::enumerator::go_to(), bm::bvector< Alloc >::enumerator::go_up(), and bm::bvector< Alloc >::enumerator::skip().

## ptr

template<class Alloc>

const gap_word_t* bm::bvector< Alloc >::iterator_base::dgap_descr::ptr

Word pointer.

Definition at line 344 of file bm.h.

Referenced by bm::bvector< Alloc >::iterator_base::compare_state(), bm::bvector< Alloc >::enumerator::go_to(), bm::bvector< Alloc >::enumerator::go_up(), and bm::bvector< Alloc >::enumerator::skip().

The documentation for this struct was generated from the following file:

- bm.h